<?php
/*
	DevSaver Web Framework
	Copyright (c) 2013-2016 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com				
*/


class CJobsWidgetDedicatedApplyForm extends CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $meta = array(
		"type"	=> "1",
		"name"	=> "Dedicated Apply Form",
		"module"	=> array(
			"name"	=> "",
			"id"	=> "",
			"type"	=> "",
		)
	);


	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Render($widget) {
		$this->module->__init();

		$form = $this->module->Form(
			$widget , 
			true,
			"",
			$this->module->GetCatByURL(
				$_GET["cat_url"] , 
				$widget["widget_module"]
			)
		);

		if (!$form) {
			return "";
		}
		

		return $this->tpl->blockreplace(
			"Widget", 
			array(
				"title"	=> $widget["widget_name"],
				"form"	=> $form ,
			),
			$widget,
			$widget["settings"],
			$widget["mod_settings"]
		);

	}
	
	

}


?>